# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kjumpingcube (executable) #################

tde_add_executable( kjumpingcube AUTOMOC
  SOURCES kjumpingcube.cpp kcubeboxwidget.cpp main.cpp kcubewidget.cpp cube.cpp
    brain.cpp cubebox.cpp settings.ui prefs.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kjumpingcube )


##### other data ################################

install( FILES kjumpingcube.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

install( FILES kjumpingcubeui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kjumpingcube
)

tde_create_translated_desktop( kjumpingcube.desktop )
